Last Comment Bug 738052 - Noise in the error console due to broken CSS when opening the preference window (in Test pilot)
: Noise in the error console due to broken CSS when opening the preference wind...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 14.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 15:06 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-04-17 14:41 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
fix (3.61 KB, patch)
2012-03-21 15:17 PDT, :aceman
mconley: review+
Details | Diff | Splinter Review
fix v2 (1.89 KB, patch)
2012-04-10 12:22 PDT, :aceman
acelists: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-03-21 15:06:26 PDT
Warning: Expected declaration but found '/'.  Skipped to next declaration.
Source File: chrome://messenger/skin/preferences/preferences.css
Line: 207

The offending code is:

204 #providerForm label{
205   width: 75px;
206   text-align: right;
207 //  padding-right: 3px; ???
208 }

Line 207 should be removed, and a space is missing before { on line 204.

http://mxr.mozilla.org/comm-central/source/mail/themes/qute/mail/preferences/preferences.css#161
http://mxr.mozilla.org/comm-central/source/mail/themes/pinstripe/mail/preferences/preferences.css#204
http://mxr.mozilla.org/comm-central/source/mail/themes/gnomestripe/mail/preferences/preferences.css#131
Comment 1 :aceman 2012-03-21 15:17:37 PDT
Created attachment 608111 [details] [diff] [review]
fix
Comment 2 :aceman 2012-03-21 15:26:54 PDT
I fix the space in the next patch when bwinton decides whether it is better to remove the line 207 or just fix the comment delimiters as I have done in the patch.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-04-05 12:18:17 PDT
Comment on attachment 608111 [details] [diff] [review]
fix

Stealing this review request.
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2012-04-05 12:29:38 PDT
Comment on attachment 608111 [details] [diff] [review]
fix

Review of attachment 608111 [details] [diff] [review]:
-----------------------------------------------------------------

aceman:

Good catches, and an easy review.

The stuff in themes/*/preferences.css should be excised, since bug 739279 will take care of it, and I don't really want it to get bitrotted.

With the changes to the preferences.css files removed, this is r=me.

::: mail/themes/gnomestripe/mail/preferences/preferences.css
@@ +130,5 @@
>  
>  #providerForm label{
>    width: 150px;
>    text-align: right;
> +/*  padding-right: 3px; ??? */

The patch for bug 739279 will take care of this.  To prevent bitrotting it, let's omit the changes to themes/*/preferences.css for now.
Comment 5 :aceman 2012-04-10 12:22:17 PDT
Created attachment 613710 [details] [diff] [review]
fix v2

r=mconley.
Comment 6 :aceman 2012-04-10 12:28:17 PDT
Considering the patch is now completely different to the original description, let's move it to the Test pilot component.
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-04-11 19:27:36 PDT
http://hg.mozilla.org/comm-central/rev/523577cb590f
Comment 8 Mark Banner (:standard8) 2012-04-16 10:57:14 PDT
(In reply to :aceman from comment #6)
> Considering the patch is now completely different to the original
> description, let's move it to the Test pilot component.

Please don't at the moment. We're a separate branch to test pilot at the moment and so we're keeping bugs about Thunderbird's version in Thunderbird.
Comment 9 Mark Banner (:standard8) 2012-04-17 14:25:57 PDT
Comment on attachment 613710 [details] [diff] [review]
fix v2

[Triage Comment]
Taking forward to aurora/beta as this actually fixes an issue with notifications in test pilot being transparent.

I also did a version bump for the in-tree test pilot here:

http://hg.mozilla.org/comm-central/rev/a030c1d42585
Comment 11 :aceman 2012-04-17 14:41:33 PDT
Is that issue filed/discussed anywhere?

Note You need to log in before you can comment on or make changes to this bug.